Subject: Re: [RFC 1/4] kevent: core files.

From: Zach Brown <[email-masked]>
Date: Fri, 28 Jul 2006 11:33:16 -0700

> I completely agree that existing kevent interface is not the best, so
> I'm opened for any suggestions.
> Should kevent creation/removing/modification be separated too?

Yeah, I think so.

>>> Hmm, it looks like I'm lost here...
>> Yeah, it seems my description might not have sunk in :).  We're giving
>> userspace a way to collect events without performing a system call.
> 
> And why do we want this?

So that event collection can be very efficient.

> How glibc is supposed to determine, that some events already fired and
> such requests will return immediately, or for example how timer events
> will be managed?

...

That was what my previous mail was all about!

- z